package sun.util.spi;

import java.io.OutputStream;
import java.util.InvalidPropertiesFormatException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public abstract class XmlPropertiesProvider
{
    protected XmlPropertiesProvider() {
    }
    
    public abstract void load(Properties p0, InputStream p1) throws IOException, InvalidPropertiesFormatException;
    
    public abstract void store(Properties p0, OutputStream p1, String p2, String p3) throws IOException;
}
